Subject: Re: Gawk cr/lf problem
From: Joshua Daniel Franklin <[email-masked]>
To: Pieter Prinsloo <[email-masked]>
Cc: [email-masked]
Date: Mon, 9 Sep 2002 13:05:47 -0700 (PDT)

--- Pieter Prinsloo <[email-masked]> wrote:
> Hi.
> 
> Let me get this straight.
> 
> 1) Whoever writes the program files using whatever editor in windows.
> 2) Now before we can use those program files it must
> first be converted using dos2unix?
> 3) Now what will be the next step??
> Before we use windows text files we have to convert them like we did 10
> years ago, when we used awk in a *nix environment?
> 4) I fail to see this point. Why should the program files be
> in *nix format - will this eventually apply to other
> source files like "C" as well?
> 5) Now we have to physically QA each source program file
> to make sure its in *nix format on winbloze machines!
> 6) Why change the concept of using M$ dos terminated files
> as is?
> 
> Please bear with me - I do NOT like M$. 
> But I do not understand this change in the behaviour of awk.
> 
> -------Original Message-------
> 
> From: Joshua Daniel Franklin
> Date: Monday, 09 September, 2002 21:41:38
> To: [email-masked]; [email-masked]
> Subject: Re: Gawk cr/lf problem
> 
> > But - ALL my program-files created with DOS type editors
> > and ending in CR/LF now give problems.
> > gawk comes back with error 'invalid char' for each ^M.
> > I have to manually remove the CR at the end of each line to get it to work
> 
> 
> ...
> 
> > Am I missing something? 
> 
> Yes. dos2unix from the cygutils package. 
> It will automatically convert your old files for you. 
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Finance - Get real-time stock quotes
> http://finance.yahoo.com
> 
> .

__________________________________________________
Do You Yahoo!?
Yahoo! Finance - Get real-time stock quotes
http://finance.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/